#ifndef _DEP_GRAPH_H_
#define _DEP_GRAPH_H_

#include "poly_runtime.h"

#include "set.h"

#include <tabulate.h>

void dep_graph_tab_array(struct dep_graph *g, int *array);

void dep_graph_tab_flat_array(struct dep_graph *g, int *array);

void mark_graph(struct dep_graph *g, struct set *tab_list, int z);

void dep_graph_fix_annotation(Nts inputdata, struct dep_graph *g);

#endif
